<?xml version="1.0" encoding="UTF-8"?>

<!--Created with NTC ESEF v13.6.8.0 by NTC Kft.-->
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/instance http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
<link:roleRef roleURI="http://www.bif.hu/role/BalanceSheet" xlink:type="simple" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#BalanceSheet"/>
<link:roleRef roleURI="http://www.bif.hu/role/CashFlowStatement" xlink:type="simple" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#CashFlowStatement"/>
<link:roleRef roleURI="http://www.bif.hu/role/ComprehensiveIncomeStatement" xlink:type="simple" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#ComprehensiveIncomeStatement"/>
<link:roleRef roleURI="http://www.bif.hu/role/ComprehensiveIncomeStatement2" xlink:type="simple" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#ComprehensiveIncomeStatement2"/><link:calculationLink xlink:type="extended" xlink:role="http://www.bif.hu/role/ComprehensiveIncomeStatement">
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ProfitLossFromOperatingActivities" xlink:title="ProfitLossFromOperatingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue" xlink:label="Revenue" xlink:title="Revenue"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherIncome" xlink:label="OtherIncome" xlink:title="OtherIncome"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" xlink:label="ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" xlink:title="ChangesInInventoriesOfFinishedGoodsAndWorkInProgress"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherWorkPerformedByEntityAndCapitalised" xlink:label="OtherWorkPerformedByEntityAndCapitalised" xlink:title="OtherWorkPerformedByEntityAndCapitalised"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RawMaterialsAndConsumablesUsed" xlink:label="RawMaterialsAndConsumablesUsed" xlink:title="RawMaterialsAndConsumablesUsed"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="EmployeeBenefitsExpense" xlink:title="EmployeeBenefitsExpense"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:title="DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherExpenseByNature" xlink:label="OtherExpenseByNature" xlink:title="OtherExpenseByNature"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="Revenue" xlink:title="calculation: ProfitLossFromOperatingActivities to Revenue" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="OtherIncome" xlink:title="calculation: ProfitLossFromOperatingActivities to OtherIncome" order="2.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" xlink:title="calculation: ProfitLossFromOperatingActivities to ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" order="3.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="OtherWorkPerformedByEntityAndCapitalised" xlink:title="calculation: ProfitLossFromOperatingActivities to OtherWorkPerformedByEntityAndCapitalised" order="4.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="RawMaterialsAndConsumablesUsed" xlink:title="calculation: ProfitLossFromOperatingActivities to RawMaterialsAndConsumablesUsed" order="5.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="EmployeeBenefitsExpense" xlink:title="calculation: ProfitLossFromOperatingActivities to EmployeeBenefitsExpense" order="6.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:title="calculation: ProfitLossFromOperatingActivities to DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" order="7.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossFromOperatingActivities" xlink:to="OtherExpenseByNature" xlink:title="calculation: ProfitLossFromOperatingActivities to OtherExpenseByNature" order="8.0" weight="-1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax" xlink:title="ProfitLossBeforeTax"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome" xlink:label="FinanceIncome" xlink:title="FinanceIncome"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts" xlink:label="FinanceCosts" xlink:title="FinanceCosts"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="ProfitLossFromOperatingActivities" xlink:title="calculation: ProfitLossBeforeTax to ProfitLossFromOperatingActivities" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="FinanceIncome" xlink:title="calculation: ProfitLossBeforeTax to FinanceIncome" order="2.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLossBeforeTax" xlink:to="FinanceCosts" xlink:title="calculation: ProfitLossBeforeTax to FinanceCosts" order="3.0" weight="-1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" xlink:title="ProfitLoss"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxExpenseIncome" xlink:label="CurrentTaxExpenseIncome" xlink:title="CurrentTaxExpenseIncome"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxExpenseIncome" xlink:label="DeferredTaxExpenseIncome" xlink:title="DeferredTaxExpenseIncome"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="ProfitLossBeforeTax" xlink:title="calculation: ProfitLoss to ProfitLossBeforeTax" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="CurrentTaxExpenseIncome" xlink:title="calculation: ProfitLoss to CurrentTaxExpenseIncome" order="2.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="DeferredTaxExpenseIncome" xlink:title="calculation: ProfitLoss to DeferredTaxExpenseIncome" order="3.0" weight="-1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" xlink:title="ComprehensiveIncome"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="OtherComprehensiveIncome" xlink:title="OtherComprehensiveIncome"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ProfitLoss" xlink:title="calculation: ComprehensiveIncome to ProfitLoss" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="OtherComprehensiveIncome" xlink:title="calculation: ComprehensiveIncome to OtherComprehensiveIncome" order="2.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRevaluation" xlink:label="OtherComprehensiveIncomeBeforeTaxGainsLossesOnRevaluation" xlink:title="OtherComprehensiveIncomeBeforeTaxGainsLossesOnRevaluation"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToChangesInRevaluationSurplusOfOtherComprehensiveIncome" xlink:label="IncomeTaxRelatingToChangesInRevaluationSurplusOfOtherComprehensiveIncome" xlink:title="IncomeTaxRelatingToChangesInRevaluationSurplusOfOtherComprehensiveIncome"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncome" xlink:to="OtherComprehensiveIncomeBeforeTaxGainsLossesOnRevaluation" xlink:title="calculation: OtherComprehensiveIncome to OtherComprehensiveIncomeBeforeTaxGainsLossesOnRevaluation" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="OtherComprehensiveIncome" xlink:to="IncomeTaxRelatingToChangesInRevaluationSurplusOfOtherComprehensiveIncome" xlink:title="calculation: OtherComprehensiveIncome to IncomeTaxRelatingToChangesInRevaluationSurplusOfOtherComprehensiveIncome" order="2.0" weight="-1"/>
</link:calculationLink><link:calculationLink xlink:type="extended" xlink:role="http://www.bif.hu/role/ComprehensiveIncomeStatement2">
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ProfitLoss" xlink:title="ProfitLoss"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:label="ProfitLossAttributableToOwnersOfParent" xlink:title="ProfitLossAttributableToOwnersOfParent"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:label="ProfitLossAttributableToNoncontrollingInterests" xlink:title="ProfitLossAttributableToNoncontrollingInterests"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="ProfitLossAttributableToOwnersOfParent" xlink:title="calculation: ProfitLoss to ProfitLossAttributableToOwnersOfParent" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ProfitLoss" xlink:to="ProfitLossAttributableToNoncontrollingInterests" xlink:title="calculation: ProfitLoss to ProfitLossAttributableToNoncontrollingInterests" order="2.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ComprehensiveIncome" xlink:title="ComprehensiveIncome"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" xlink:label="ComprehensiveIncomeAttributableToOwnersOfParent" xlink:title="ComprehensiveIncomeAttributableToOwnersOfParent"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:label="ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:title="ComprehensiveIncomeAttributableToNoncontrollingInterests"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ComprehensiveIncomeAttributableToOwnersOfParent" xlink:title="calculation: ComprehensiveIncome to ComprehensiveIncomeAttributableToOwnersOfParent" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ComprehensiveIncome" xlink:to="ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:title="calculation: ComprehensiveIncome to ComprehensiveIncomeAttributableToNoncontrollingInterests" order="2.0" weight="1"/>
</link:calculationLink><link:calculationLink xlink:type="extended" xlink:role="http://www.bif.hu/role/BalanceSheet">
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="NoncurrentAssets" xlink:title="NoncurrentAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentProperty" xlink:label="InvestmentProperty" xlink:title="InvestmentProperty"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="IntangibleAssetsOtherThanGoodwill" xlink:title="IntangibleAssetsOtherThanGoodwill"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Goodwill" xlink:label="Goodwill" xlink:title="Goodwill"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LandAndBuildings" xlink:label="LandAndBuildings" xlink:title="LandAndBuildings"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherPropertyPlantAndEquipment" xlink:label="OtherPropertyPlantAndEquipment" xlink:title="OtherPropertyPlantAndEquipment"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ConstructionInProgress" xlink:label="ConstructionInProgress" xlink:title="ConstructionInProgress"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:label="InvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:title="InvestmentsInSubsidiariesJointVenturesAndAssociates"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentReceivablesFromRentalOfProperties" xlink:label="NoncurrentReceivablesFromRentalOfProperties" xlink:title="NoncurrentReceivablesFromRentalOfProperties"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:label="DeferredTaxAssets" xlink:title="DeferredTaxAssets"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="InvestmentProperty" xlink:title="calculation: NoncurrentAssets to InvestmentProperty" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="IntangibleAssetsOtherThanGoodwill" xlink:title="calculation: NoncurrentAssets to IntangibleAssetsOtherThanGoodwill" order="2.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="Goodwill" xlink:title="calculation: NoncurrentAssets to Goodwill" order="3.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="LandAndBuildings" xlink:title="calculation: NoncurrentAssets to LandAndBuildings" order="4.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="OtherPropertyPlantAndEquipment" xlink:title="calculation: NoncurrentAssets to OtherPropertyPlantAndEquipment" order="5.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="ConstructionInProgress" xlink:title="calculation: NoncurrentAssets to ConstructionInProgress" order="6.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="InvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:title="calculation: NoncurrentAssets to InvestmentsInSubsidiariesJointVenturesAndAssociates" order="7.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="NoncurrentReceivablesFromRentalOfProperties" xlink:title="calculation: NoncurrentAssets to NoncurrentReceivablesFromRentalOfProperties" order="8.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentAssets" xlink:to="DeferredTaxAssets" xlink:title="calculation: NoncurrentAssets to DeferredTaxAssets" order="9.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:label="Assets" xlink:title="Assets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="CurrentAssets" xlink:title="CurrentAssets"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="NoncurrentAssets" xlink:title="calculation: Assets to NoncurrentAssets" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="Assets" xlink:to="CurrentAssets" xlink:title="calculation: Assets to CurrentAssets" order="2.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Inventories" xlink:label="Inventories" xlink:title="Inventories"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTradeReceivables" xlink:label="CurrentTradeReceivables" xlink:title="CurrentTradeReceivables"/>
<link:loc xlink:type="locator" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#bif_OtherCurrentReceivablesAccruedIncomeAndDeferredExpense" xlink:label="OtherCurrentReceivablesAccruedIncomeAndDeferredExpense" xlink:title="OtherCurrentReceivablesAccruedIncomeAndDeferredExpense"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="CashAndCashEquivalents" xlink:title="CashAndCashEquivalents"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="Inventories" xlink:title="calculation: CurrentAssets to Inventories" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="CurrentTradeReceivables" xlink:title="calculation: CurrentAssets to CurrentTradeReceivables" order="2.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="OtherCurrentReceivablesAccruedIncomeAndDeferredExpense" xlink:title="calculation: CurrentAssets to OtherCurrentReceivablesAccruedIncomeAndDeferredExpense" order="3.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentAssets" xlink:to="CashAndCashEquivalents" xlink:title="calculation: CurrentAssets to CashAndCashEquivalents" order="4.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="EquityAttributableToOwnersOfParent" xlink:title="EquityAttributableToOwnersOfParent"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="IssuedCapital" xlink:title="IssuedCapital"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CapitalReserve" xlink:label="CapitalReserve" xlink:title="CapitalReserve"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RevaluationSurplus" xlink:label="RevaluationSurplus" xlink:title="RevaluationSurplus"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TreasuryShares" xlink:label="TreasuryShares" xlink:title="TreasuryShares"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarningsExcludingProfitLossForReportingPeriod" xlink:label="RetainedEarningsExcludingProfitLossForReportingPeriod" xlink:title="RetainedEarningsExcludingProfitLossForReportingPeriod"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarningsProfitLossForReportingPeriod" xlink:label="RetainedEarningsProfitLossForReportingPeriod" xlink:title="RetainedEarningsProfitLossForReportingPeriod"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="IssuedCapital" xlink:title="calculation: EquityAttributableToOwnersOfParent to IssuedCapital" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="CapitalReserve" xlink:title="calculation: EquityAttributableToOwnersOfParent to CapitalReserve" order="2.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="RevaluationSurplus" xlink:title="calculation: EquityAttributableToOwnersOfParent to RevaluationSurplus" order="3.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="TreasuryShares" xlink:title="calculation: EquityAttributableToOwnersOfParent to TreasuryShares" order="4.0" weight="-1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="RetainedEarningsExcludingProfitLossForReportingPeriod" xlink:title="calculation: EquityAttributableToOwnersOfParent to RetainedEarningsExcludingProfitLossForReportingPeriod" order="5.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAttributableToOwnersOfParent" xlink:to="RetainedEarningsProfitLossForReportingPeriod" xlink:title="calculation: EquityAttributableToOwnersOfParent to RetainedEarningsProfitLossForReportingPeriod" order="6.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="EquityAndLiabilities" xlink:title="EquityAndLiabilities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="NoncurrentLiabilities" xlink:title="NoncurrentLiabilities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="CurrentLiabilities" xlink:title="CurrentLiabilities"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="EquityAttributableToOwnersOfParent" xlink:title="calculation: EquityAndLiabilities to EquityAttributableToOwnersOfParent" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="NoncurrentLiabilities" xlink:title="calculation: EquityAndLiabilities to NoncurrentLiabilities" order="2.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="EquityAndLiabilities" xlink:to="CurrentLiabilities" xlink:title="calculation: EquityAndLiabilities to CurrentLiabilities" order="3.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LongtermBorrowings" xlink:label="LongtermBorrowings" xlink:title="LongtermBorrowings"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentProvisions" xlink:label="NoncurrentProvisions" xlink:title="NoncurrentProvisions"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="DeferredTaxLiabilities" xlink:title="DeferredTaxLiabilities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentNonfinancialLiabilities" xlink:label="OtherNoncurrentNonfinancialLiabilities" xlink:title="OtherNoncurrentNonfinancialLiabilities"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="LongtermBorrowings" xlink:title="calculation: NoncurrentLiabilities to LongtermBorrowings" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="NoncurrentProvisions" xlink:title="calculation: NoncurrentLiabilities to NoncurrentProvisions" order="2.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="DeferredTaxLiabilities" xlink:title="calculation: NoncurrentLiabilities to DeferredTaxLiabilities" order="3.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="NoncurrentLiabilities" xlink:to="OtherNoncurrentNonfinancialLiabilities" xlink:title="calculation: NoncurrentLiabilities to OtherNoncurrentNonfinancialLiabilities" order="4.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:label="CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:title="CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:label="TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:title="TradeAndOtherCurrentPayablesToTradeSuppliers"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" xlink:label="CurrentAccruedExpensesAndOtherCurrentLiabilities" xlink:title="CurrentAccruedExpensesAndOtherCurrentLiabilities"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" xlink:title="calculation: CurrentLiabilities to CurrentBorrowingsAndCurrentPortionOfNoncurrentBorrowings" order="1.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:title="calculation: CurrentLiabilities to TradeAndOtherCurrentPayablesToTradeSuppliers" order="2.0" weight="1"/>                
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CurrentLiabilities" xlink:to="CurrentAccruedExpensesAndOtherCurrentLiabilities" xlink:title="calculation: CurrentLiabilities to CurrentAccruedExpensesAndOtherCurrentLiabilities" order="3.0" weight="1"/>
</link:calculationLink><link:calculationLink xlink:type="extended" xlink:role="http://www.bif.hu/role/CashFlowStatement">
<link:loc xlink:type="locator" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#bif_AdjustedProfitLossBeforeTaxes" xlink:label="AdjustedProfitLossBeforeTaxes" xlink:title="AdjustedProfitLossBeforeTaxes"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ProfitLossBeforeTax" xlink:title="ProfitLossBeforeTax"/>
<link:loc xlink:type="locator" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#bif_AdjustmentsOfTheProfitLossBeforeTaxes" xlink:label="AdjustmentsOfTheProfitLossBeforeTaxes" xlink:title="AdjustmentsOfTheProfitLossBeforeTaxes"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="AdjustedProfitLossBeforeTaxes" xlink:to="ProfitLossBeforeTax" xlink:title="calculation: AdjustedProfitLossBeforeTaxes to ProfitLossBeforeTax" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="AdjustedProfitLossBeforeTaxes" xlink:to="AdjustmentsOfTheProfitLossBeforeTaxes" xlink:title="calculation: AdjustedProfitLossBeforeTaxes to AdjustmentsOfTheProfitLossBeforeTaxes" order="2.0" weight="-1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="CashFlowsFromUsedInOperatingActivities" xlink:title="CashFlowsFromUsedInOperatingActivities"/>
<link:loc xlink:type="locator" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#bif_AdjustmentsForNetInterestIncomeExpense" xlink:label="AdjustmentsForNetInterestIncomeExpense" xlink:title="AdjustmentsForNetInterestIncomeExpense"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDepreciationExpense" xlink:label="AdjustmentsForDepreciationExpense" xlink:title="AdjustmentsForDepreciationExpense"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:title="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill" xlink:label="AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill" xlink:title="AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill"/>
<link:loc xlink:type="locator" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#bif_AdjustmentsForWriteOffFinancialAssets" xlink:label="AdjustmentsForWriteOffFinancialAssets" xlink:title="AdjustmentsForWriteOffFinancialAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:label="AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:title="AdjustmentsForUnrealisedForeignExchangeLossesGains"/>
<link:loc xlink:type="locator" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#bif_AdjustmentsForFairValueGainsLossesOnInventories" xlink:label="AdjustmentsForFairValueGainsLossesOnInventories" xlink:title="AdjustmentsForFairValueGainsLossesOnInventories"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForFairValueGainsLosses" xlink:label="AdjustmentsForFairValueGainsLosses" xlink:title="AdjustmentsForFairValueGainsLosses"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForProvisions" xlink:label="AdjustmentsForProvisions" xlink:title="AdjustmentsForProvisions"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment" xlink:label="AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment" xlink:title="AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InventoryWritedown2011" xlink:label="InventoryWritedown2011" xlink:title="InventoryWritedown2011"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:label="AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:title="AdjustmentsForDecreaseIncreaseInTradeAccountReceivable"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherCurrentAssets" xlink:label="AdjustmentsForDecreaseIncreaseInOtherCurrentAssets" xlink:title="AdjustmentsForDecreaseIncreaseInOtherCurrentAssets"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:label="AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:title="AdjustmentsForIncreaseDecreaseInTradeAccountPayable"/>
<link:loc xlink:type="locator" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#bif_AdjustmentsForIncreaseDecreaseInOtherCurrentNonFinancialLiabilities" xlink:label="AdjustmentsForIncreaseDecreaseInOtherCurrentNonFinancialLiabilities" xlink:title="AdjustmentsForIncreaseDecreaseInOtherCurrentNonFinancialLiabilities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:label="AdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:title="AdjustmentsForIncreaseDecreaseInOtherLiabilities"/>
<link:loc xlink:type="locator" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#bif_GrantsAllowed" xlink:label="GrantsAllowed" xlink:title="GrantsAllowed"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="InterestPaidClassifiedAsOperatingActivities" xlink:title="InterestPaidClassifiedAsOperatingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestReceivedClassifiedAsOperatingActivities" xlink:label="InterestReceivedClassifiedAsOperatingActivities" xlink:title="InterestReceivedClassifiedAsOperatingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:title="IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
<link:loc xlink:type="locator" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#bif_DamagesPaid" xlink:label="DamagesPaid" xlink:title="DamagesPaid"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustedProfitLossBeforeTaxes" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustedProfitLossBeforeTaxes" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForNetInterestIncomeExpense" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForNetInterestIncomeExpense" order="2.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForDepreciationExpense" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForDepreciationExpense" order="3.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" order="4.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForImpairmentLossRecognisedInProfitOrLossGoodwill" order="5.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForWriteOffFinancialAssets" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForWriteOffFinancialAssets" order="6.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForUnrealisedForeignExchangeLossesGains" order="7.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForFairValueGainsLossesOnInventories" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForFairValueGainsLossesOnInventories" order="8.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForFairValueGainsLosses" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForFairValueGainsLosses" order="9.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForProvisions" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForProvisions" order="10.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment" order="11.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="InventoryWritedown2011" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to InventoryWritedown2011" order="12.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForDecreaseIncreaseInTradeAccountReceivable" order="13.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForDecreaseIncreaseInOtherCurrentAssets" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForDecreaseIncreaseInOtherCurrentAssets" order="14.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForIncreaseDecreaseInTradeAccountPayable" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForIncreaseDecreaseInTradeAccountPayable" order="15.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForIncreaseDecreaseInOtherCurrentNonFinancialLiabilities" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForIncreaseDecreaseInOtherCurrentNonFinancialLiabilities" order="16.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="AdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to AdjustmentsForIncreaseDecreaseInOtherLiabilities" order="17.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="GrantsAllowed" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to GrantsAllowed" order="18.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="InterestPaidClassifiedAsOperatingActivities" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to InterestPaidClassifiedAsOperatingActivities" order="19.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="InterestReceivedClassifiedAsOperatingActivities" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to InterestReceivedClassifiedAsOperatingActivities" order="20.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to IncomeTaxesPaidRefundClassifiedAsOperatingActivities" order="21.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInOperatingActivities" xlink:to="DamagesPaid" xlink:title="calculation: CashFlowsFromUsedInOperatingActivities to DamagesPaid" order="22.0" weight="-1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:title="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="CashFlowsFromUsedInInvestingActivities" xlink:title="CashFlowsFromUsedInInvestingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="CashFlowsFromUsedInFinancingActivities" xlink:title="CashFlowsFromUsedInFinancingActivities"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="CashFlowsFromUsedInOperatingActivities" xlink:title="calculation: IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges to CashFlowsFromUsedInOperatingActivities" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="CashFlowsFromUsedInInvestingActivities" xlink:title="calculation: IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges to CashFlowsFromUsedInInvestingActivities" order="2.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="CashFlowsFromUsedInFinancingActivities" xlink:title="calculation: IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges to CashFlowsFromUsedInFinancingActivities" order="3.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="CashFlowsFromUsedInInvestingActivities" xlink:title="CashFlowsFromUsedInInvestingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:title="PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:title="ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:title="CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities"/>
<link:loc xlink:type="locator" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#bif_IncreaseInLeaseReceivablesClassifiedAsInvestingActivities" xlink:label="IncreaseInLeaseReceivablesClassifiedAsInvestingActivities" xlink:title="IncreaseInLeaseReceivablesClassifiedAsInvestingActivities"/>
<link:loc xlink:type="locator" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#bif_DecreaseInLeaseReceivablesClassifiedAsInvestingActivities" xlink:label="DecreaseInLeaseReceivablesClassifiedAsInvestingActivities" xlink:title="DecreaseInLeaseReceivablesClassifiedAsInvestingActivities"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="1.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="2.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to CashFlowsFromLosingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" order="3.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="IncreaseInLeaseReceivablesClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to IncreaseInLeaseReceivablesClassifiedAsInvestingActivities" order="4.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInInvestingActivities" xlink:to="DecreaseInLeaseReceivablesClassifiedAsInvestingActivities" xlink:title="calculation: CashFlowsFromUsedInInvestingActivities to DecreaseInLeaseReceivablesClassifiedAsInvestingActivities" order="5.0" weight="1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="CashFlowsFromUsedInFinancingActivities" xlink:title="CashFlowsFromUsedInFinancingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromIssuingShares" xlink:label="ProceedsFromIssuingShares" xlink:title="ProceedsFromIssuingShares"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="DividendsPaidClassifiedAsFinancingActivities" xlink:title="DividendsPaidClassifiedAsFinancingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromIssueOfOrdinaryShares" xlink:label="ProceedsFromIssueOfOrdinaryShares" xlink:title="ProceedsFromIssueOfOrdinaryShares"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:label="InterestPaidClassifiedAsFinancingActivities" xlink:title="InterestPaidClassifiedAsFinancingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:title="ProceedsFromBorrowingsClassifiedAsFinancingActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:title="RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
<link:loc xlink:type="locator" xlink:href="529900MBH2PPLPLX3782-2024-12-31.xsd#bif_IncomesOfLeaseLiabilitiesClassifiedAsFinancialActivities" xlink:label="IncomesOfLeaseLiabilitiesClassifiedAsFinancialActivities" xlink:title="IncomesOfLeaseLiabilitiesClassifiedAsFinancialActivities"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:title="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="ProceedsFromIssuingShares" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to ProceedsFromIssuingShares" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="DividendsPaidClassifiedAsFinancingActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to DividendsPaidClassifiedAsFinancingActivities" order="2.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="ProceedsFromIssueOfOrdinaryShares" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to ProceedsFromIssueOfOrdinaryShares" order="3.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="InterestPaidClassifiedAsFinancingActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to InterestPaidClassifiedAsFinancingActivities" order="4.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to ProceedsFromBorrowingsClassifiedAsFinancingActivities" order="5.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to RepaymentsOfBorrowingsClassifiedAsFinancingActivities" order="6.0" weight="-1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="IncomesOfLeaseLiabilitiesClassifiedAsFinancialActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to IncomesOfLeaseLiabilitiesClassifiedAsFinancialActivities" order="7.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="CashFlowsFromUsedInFinancingActivities" xlink:to="PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:title="calculation: CashFlowsFromUsedInFinancingActivities to PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" order="8.0" weight="-1"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="IncreaseDecreaseInCashAndCashEquivalents" xlink:title="IncreaseDecreaseInCashAndCashEquivalents"/>
<link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:label="EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:title="EffectOfExchangeRateChangesOnCashAndCashEquivalents"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:title="calculation: IncreaseDecreaseInCashAndCashEquivalents to IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" order="1.0" weight="1"/>
<link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="IncreaseDecreaseInCashAndCashEquivalents" xlink:to="EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:title="calculation: IncreaseDecreaseInCashAndCashEquivalents to EffectOfExchangeRateChangesOnCashAndCashEquivalents" order="2.0" weight="1"/>
</link:calculationLink>
</link:linkbase>